//////////////////////////////////////////////////////////////////////
// Mainz Rolling Brains RoboCup agents developed for the Simulator 
// League of the RoboCup 2001 competition
//
// Copyright (C) 1998, 1999, 2000, 2001 Team Members 
// of the Mainz Rolling Brains RoboCup Team 
//
// This program is published under the terms of the GNU General Public
// License as published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////
//
// FunsselStrings.h - Common String constants used in FUNSSEL
//
// $Id: FunsselStrings.h,v 1.7 2001/09/11 10:01:38 goetz Exp $
//
////////////////////////////////////////////////////////////////////////

#ifndef FUNSSELSTRINGS_H
#define FUNSSELSTRINGS_H

#define FILTER_STRING "(mrbproxy"
#define FILTER_STRING_LEN 9

#define FMC_MARK "(mark"
#define FMC_MARK_LEN 5

#define FMC_LOG "(log"
#define FMC_LOG_LEN 4

#define FMC_SNAP "(sn"
#define FMC_SNAP_LEN 3

#define FMC_CIRCLE "(cir"
#define FMC_CIRCLE_LEN 4

#define FMC_POS "(pos"
#define FMC_POS_LEN 4

#define FMC_LINE "(line"
#define FMC_LINE_LEN 5

#define FMC_VLINE "(vline"
#define FMC_VLINE_LEN 6

#define FMC_BOX "(box"
#define FMC_BOX_LEN 4

#define FMC_CORR "(corr"
#define FMC_CORR_LEN 5

#define FMC_LABEL "(lab"
#define FMC_LABEL_LEN 4

#define FMC_STOP "(stop"
#define FMC_STOP_LEN 5

#define FMC_DROPBALL "(drball"
#define FMC_DROPBALL_LEN 7

#define FMC_FREEKUS "(fkus"
#define FMC_FREEKUS_LEN 5

#define FMC_FREEKTHEM "(fkth"
#define FMC_FREEKTHEM_LEN 5

#define FMC_SETPLYR "(setpl"
#define FMC_SETPLYR_LEN 6

#endif
